IDA_PRE_GET(9)

NAME
ida_pre_get - reserve resources for ida allocation

SYNOPSIS

int ida_pre_get(struct ida * ida, gfp_t gfp_mask);

ARGUMENTS

ida
    ida handle

gfp_mask
    memory allocation flag

DESCRIPTION

This function should be called prior to locking and calling the following function. It preallocates enough memory to satisfy the worst possible allocation.

If the system is REALLY out of memory this function returns 0, otherwise 1.

COPYRIGHT